## r-bioc-annotationhub 2.4.2

=== DESCRIPTION ===
Package: AnnotationHub
Type: Package
Title: Client to access AnnotationHub resources
Version: 2.4.2
Authors@R: 
    c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
             role="cre"),
      person("Marc", "Carlson", role="ctb"),
      person("Dan", "Tenenbaum", role="ctb"),
      person("Sonali", "Arora", role="ctb"))
biocViews: Infrastructure, DataImport, GUI, ThirdPartyClient
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package provides a client for the Bioconductor
    AnnotationHub web resource. The AnnotationHub web resource
    provides a central location where genomic files (e.g., VCF, bed,
    wig) and other resources from standard locations (e.g., UCSC,
    Ensembl) can be discovered. The resource includes metadata about
    each resource, e.g., a textual description, tags, and date of
    modification. The client creates and manages a local cache of
    files retrieved by the user, helping with quick and reproducible
    access.
License: Artistic-2.0
Depends: BiocGenerics (>= 0.15.10)
Imports: utils, methods, grDevices, RSQLite, BiocInstaller,
        AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
        httr
Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
        Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
        rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
        Biostrings, SummarizedExperiment
Enhances: AnnotationHubData
Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
        AnnotationHub-class.R AnnotationHubResource-class.R
        AnnotationHubBEDResource-class.R
        AnnotationHubProteomicsResource-class.R
        AnnotationHubEpigenomeResource-class.R utilities.R sql-utils.R
        hub-utils.R cache-utils.R zzz.R
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-05-16 03:51:57 UTC; biocbuild
Author: Martin Morgan [cre],
  Marc Carlson [ctb],
  Dan Tenenbaum [ctb],
  Sonali Arora [ctb]

=== debian/changelog ===
r-bioc-annotationhub (2.4.2-2) unstable; urgency=medium

  * Fix autopkgtest (thanks to Gordon Ball for the patch)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jun 2016 16:26:48 +0200

r-bioc-annotationhub (2.4.2-1) unstable; urgency=low

  * Initial release (closes: #825114)

 -- Andreas Tille <tille@debian.org>  Mon, 23 May 2016 21:07:01 +0200

=== debian/control ===
Source: r-bioc-annotationhub
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-annotationdbi,
               r-bioc-biocinstaller,
               r-bioc-interactivedisplaybase,
               r-cran-httr
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/AnnotationHub.html

Package: r-bioc-annotationhub
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-annotationdbi,
         r-bioc-biocinstaller,
         r-bioc-interactivedisplaybase,
         r-cran-httr
Description: GNU R client to access AnnotationHub resources
 This package provides a client for the Bioconductor AnnotationHub web
 resource. The AnnotationHub web resource provides a central location
 where genomic files (e.g., VCF, bed, wig) and other resources from
 standard locations (e.g., UCSC, Ensembl) can be discovered. The resource
 includes metadata about each resource, e.g., a textual description,
 tags, and date of modification. The client creates and manages a local
 cache of files retrieved by the user, helping with quick and
 reproducible access.

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/AnnotationHub.html .*/AnnotationHub_([\d\.]+)\.tar\.gz

## r-bioc-annotationhub 2.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.4.2
+Version: 2.6.4
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -22,8 +22,7 @@
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10)
 Imports: utils, methods, grDevices, RSQLite, BiocInstaller,
-        AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
-        httr
+        AnnotationDbi, S4Vectors, interactiveDisplayBase, httr, yaml
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
@@ -31,13 +30,12 @@
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
         AnnotationHub-class.R AnnotationHubResource-class.R
-        AnnotationHubBEDResource-class.R
-        AnnotationHubProteomicsResource-class.R
-        AnnotationHubEpigenomeResource-class.R utilities.R sql-utils.R
-        hub-utils.R cache-utils.R zzz.R
+        BEDResource-class.R ProteomicsResource-class.R
+        EpigenomeResource-class.R GenomicScoresResource-class.R
+        utilities.R sql-utils.R Hub-utils.R cache-utils.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-05-16 03:51:57 UTC; biocbuild
+Packaged: 2016-11-24 00:16:22 UTC; biocbuild
 Author: Martin Morgan [cre],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],

=== debian/changelog ===
r-bioc-annotationhub (2.6.4-1) unstable; urgency=medium

  * New upstream version
  * Add new Build-Depends: r-cran-yaml
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 10:43:21 +0100

r-bioc-annotationhub (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2016 14:12:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,25 @@
 Section: gnu-r
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-bioc-annotationdbi,
                r-bioc-biocinstaller,
                r-bioc-interactivedisplaybase,
-               r-cran-httr
+               r-cran-httr,
+               r-cran-yaml
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/AnnotationHub.html
+Homepage: https://bioconductor.org/packages/AnnotationHub/
 
 Package: r-bioc-annotationhub
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         r-bioc-annotationdbi,
-         r-bioc-biocinstaller,
-         r-bioc-interactivedisplaybase,
-         r-cran-httr
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R client to access AnnotationHub resources
  This package provides a client for the Bioconductor AnnotationHub web
  resource. The AnnotationHub web resource provides a central location

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/AnnotationHub.html .*/AnnotationHub_([\d\.]+)\.tar\.gz

## r-bioc-annotationhub 2.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.6.4
+Version: 2.8.1
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -22,21 +22,22 @@
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10)
 Imports: utils, methods, grDevices, RSQLite, BiocInstaller,
-        AnnotationDbi, S4Vectors, interactiveDisplayBase, httr, yaml
+        AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
+        httr, yaml
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
-        Biostrings, SummarizedExperiment
+        Biostrings, SummarizedExperiment, ExperimentHub
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
         AnnotationHub-class.R AnnotationHubResource-class.R
         BEDResource-class.R ProteomicsResource-class.R
-        EpigenomeResource-class.R GenomicScoresResource-class.R
-        utilities.R sql-utils.R Hub-utils.R cache-utils.R zzz.R
+        EpigenomeResource-class.R EnsDbResource-class.R utilities.R
+        sql-utils.R Hub-utils.R cache-utils.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-11-24 00:16:22 UTC; biocbuild
 Author: Martin Morgan [cre],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],
   Sonali Arora [ctb]
+Packaged: 2017-05-03 23:27:00 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.8.1-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:42:51 +0000

r-bioc-annotationhub (2.8.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Graham Inggs <ginggs@debian.org>  Fri, 12 May 2017 17:49:31 +0200

## r-bioc-annotationhub 2.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.8.1
+Version: 2.10.1
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -21,23 +21,24 @@
     access.
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10)
-Imports: utils, methods, grDevices, RSQLite, BiocInstaller,
+Imports: utils, methods, grDevices, RSQLite, BiocInstaller, curl,
         AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
         httr, yaml
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
-        Biostrings, SummarizedExperiment, ExperimentHub
+        Biostrings, SummarizedExperiment, ExperimentHub, gdsfmt
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
-        AnnotationHub-class.R AnnotationHubResource-class.R
-        BEDResource-class.R ProteomicsResource-class.R
-        EpigenomeResource-class.R EnsDbResource-class.R utilities.R
-        sql-utils.R Hub-utils.R cache-utils.R zzz.R
+        readMetadataFromCsv.R AnnotationHub-class.R
+        AnnotationHubResource-class.R BEDResource-class.R
+        ProteomicsResource-class.R EpigenomeResource-class.R
+        EnsDbResource-class.R utilities.R sql-utils.R Hub-utils.R
+        cache-utils.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Martin Morgan [cre],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],
   Sonali Arora [ctb]
-Packaged: 2017-05-03 23:27:00 UTC; biocbuild
+Packaged: 2017-11-08 00:18:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.10.1-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 10:12:21 +0100

r-bioc-annotationhub (2.8.3-1) unstable; urgency=medium

  * New upstream version
  * Remove unneeded Build-Depends: r-base-dev

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 21:48:38 +0200

r-bioc-annotationhub (2.8.2-2) unstable; urgency=medium

  * Remove unneeded Testsuite field
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 13:23:20 +0200

r-bioc-annotationhub (2.8.2-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2017 13:43:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-r,
-               r-base-dev,
                r-bioc-annotationdbi,
                r-bioc-biocinstaller,
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-annotationhub/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-annotationhub.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/
 
 Package: r-bioc-annotationhub

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/AnnotationHub.html .*/AnnotationHub_([\d\.]+)\.tar\.gz

## r-bioc-annotationhub 2.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.10.1
+Version: 2.12.0
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -30,15 +30,14 @@
         Biostrings, SummarizedExperiment, ExperimentHub, gdsfmt
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
-        readMetadataFromCsv.R AnnotationHub-class.R
-        AnnotationHubResource-class.R BEDResource-class.R
-        ProteomicsResource-class.R EpigenomeResource-class.R
-        EnsDbResource-class.R utilities.R sql-utils.R Hub-utils.R
-        cache-utils.R zzz.R
+        AnnotationHub-class.R AnnotationHubResource-class.R
+        BEDResource-class.R ProteomicsResource-class.R
+        EpigenomeResource-class.R EnsDbResource-class.R utilities.R
+        sql-utils.R Hub-utils.R cache-utils.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Martin Morgan [cre],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],
   Sonali Arora [ctb]
-Packaged: 2017-11-08 00:18:56 UTC; biocbuild
+Packaged: 2018-04-30 23:46:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.12.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 16:02:45 +0200

r-bioc-annotationhub (2.12.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 23:57:00 +0200

r-bioc-annotationhub (2.12.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 18:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,30 @@
 Source: r-bioc-annotationhub
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
-               r-bioc-annotationdbi,
+               r-base-dev,
+               r-bioc-biocgenerics (>= 0.15.10),
+               r-cran-rsqlite,
                r-bioc-biocinstaller,
+               r-cran-curl,
+               r-bioc-annotationdbi (>= 1.31.19),
+               r-bioc-s4vectors,
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-annotationhub.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-annotationhub.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/
 
 Package: r-bioc-annotationhub
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R client to access AnnotationHub resources

## r-bioc-annotationhub 2.14.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.12.0
+Version: 2.14.3
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
       person("Marc", "Carlson", role="ctb"),
       person("Dan", "Tenenbaum", role="ctb"),
-      person("Sonali", "Arora", role="ctb"))
+      person("Sonali", "Arora", role="ctb"),
+      person("Lori", "Shepherd", role="ctb"))
 biocViews: Infrastructure, DataImport, GUI, ThirdPartyClient
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package provides a client for the Bioconductor
@@ -21,7 +22,7 @@
     access.
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10)
-Imports: utils, methods, grDevices, RSQLite, BiocInstaller, curl,
+Imports: utils, methods, grDevices, RSQLite, BiocManager, curl,
         AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
         httr, yaml
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
@@ -39,5 +40,11 @@
 Author: Martin Morgan [cre],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],
-  Sonali Arora [ctb]
-Packaged: 2018-04-30 23:46:09 UTC; biocbuild
+  Sonali Arora [ctb],
+  Lori Shepherd [ctb]
+git_url: https://git.bioconductor.org/packages/AnnotationHub
+git_branch: RELEASE_3_8
+git_last_commit: 3489ff5
+git_last_commit_date: 2019-01-29
+Date/Publication: 2019-01-29
+Packaged: 2019-01-30 00:50:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.14.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Feb 2019 18:13:50 +0100

r-bioc-annotationhub (2.14.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Sat, 08 Dec 2018 09:03:31 +0100

r-bioc-annotationhub (2.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sat, 10 Nov 2018 16:29:41 +0100

r-bioc-annotationhub (2.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sat, 08 Sep 2018 21:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
                r-cran-rsqlite,
-               r-bioc-biocinstaller,
+               r-cran-biocmanager,
                r-cran-curl,
                r-bioc-annotationdbi (>= 1.31.19),
                r-bioc-s4vectors,
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/AnnotationHub.html .*/AnnotationHub_([\d\.]+)\.tar\.gz

## r-bioc-annotationhub 2.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.14.3
+Version: 2.16.0
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -21,10 +21,10 @@
     files retrieved by the user, helping with quick and reproducible
     access.
 License: Artistic-2.0
-Depends: BiocGenerics (>= 0.15.10)
+Depends: BiocGenerics (>= 0.15.10), BiocFileCache (>= 1.5.1)
 Imports: utils, methods, grDevices, RSQLite, BiocManager, curl,
-        AnnotationDbi (>= 1.31.19), S4Vectors, interactiveDisplayBase,
-        httr, yaml
+        rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors,
+        interactiveDisplayBase, httr, yaml, dplyr
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
@@ -43,8 +43,8 @@
   Sonali Arora [ctb],
   Lori Shepherd [ctb]
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_8
-git_last_commit: 3489ff5
-git_last_commit_date: 2019-01-29
-Date/Publication: 2019-01-29
-Packaged: 2019-01-30 00:50:59 UTC; biocbuild
+git_branch: RELEASE_3_9
+git_last_commit: 2ee99a7
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
+Packaged: 2019-05-03 00:43:31 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 21:09:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,17 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
+               r-bioc-biocfilecache (>= 1.5.1),
                r-cran-rsqlite,
                r-cran-biocmanager,
                r-cran-curl,
+               r-cran-rappdirs,
                r-bioc-annotationdbi (>= 1.31.19),
                r-bioc-s4vectors,
                r-bioc-interactivedisplaybase,
                r-cran-httr,
-               r-cran-yaml
+               r-cran-yaml,
+               r-cran-dplyr
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git

## r-bioc-annotationhub 2.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.16.0
+Version: 2.18.0
 Authors@R: 
     c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
              role="cre"),
@@ -22,8 +22,8 @@
     access.
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10), BiocFileCache (>= 1.5.1)
-Imports: utils, methods, grDevices, RSQLite, BiocManager, curl,
-        rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors,
+Imports: utils, methods, grDevices, RSQLite, BiocManager, BiocVersion,
+        curl, rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors,
         interactiveDisplayBase, httr, yaml, dplyr
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
@@ -43,8 +43,8 @@
   Sonali Arora [ctb],
   Lori Shepherd [ctb]
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_9
-git_last_commit: 2ee99a7
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
-Packaged: 2019-05-03 00:43:31 UTC; biocbuild
+git_branch: RELEASE_3_10
+git_last_commit: 660ceb5
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
+Packaged: 2019-10-30 00:40:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-annotationhub (2.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop useless biocversion.patch and add r-bioc-biocversion to BD.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Nov 2019 07:01:31 +0100

r-bioc-annotationhub (2.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * debian/copyright: Use spaces rather than tabs in continuation lines.

  [ Dylan Aïssi ]
  * Add temporary patch to drop r-bioc-biocversion dependency.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Nov 2019 07:21:16 +0100

r-bioc-annotationhub (2.16.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Drop test that is requiring remote access

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 11:41:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
-               r-bioc-biocfilecache (>= 1.5.1),
+               r-bioc-biocfilecache,
                r-cran-rsqlite,
                r-cran-biocmanager,
                r-cran-curl,
@@ -18,8 +18,9 @@
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml,
-               r-cran-dplyr
-Standards-Version: 4.3.0
+               r-cran-dplyr,
+               r-bioc-biocversion
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-genomicranges
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
 https://www.bioconductor.org/packages/release/bioc/html/AnnotationHub.html .*/AnnotationHub_([\d\.]+)\.tar\.gz

## r-bioc-annotationhub 2.20.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.18.0
+Version: 2.20.1
 Authors@R: 
-    c(person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
+    c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
+      person("Martin", "Morgan", role="aut"),
       person("Marc", "Carlson", role="ctb"),
       person("Dan", "Tenenbaum", role="ctb"),
       person("Sonali", "Arora", role="ctb"),
-      person("Lori", "Shepherd", role="ctb"))
+      person("Valerie", "Oberchain", role="ctb"),
+      person("Kayla", "Morrell", role="ctb"),
+      person("Lori", "Shepherd", role="aut"))
 biocViews: Infrastructure, DataImport, GUI, ThirdPartyClient
-Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 Description: This package provides a client for the Bioconductor
     AnnotationHub web resource. The AnnotationHub web resource
     provides a central location where genomic files (e.g., VCF, bed,
@@ -37,14 +39,18 @@
         sql-utils.R Hub-utils.R cache-utils.R zzz.R
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Author: Martin Morgan [cre],
+git_url: https://git.bioconductor.org/packages/AnnotationHub
+git_branch: RELEASE_3_11
+git_last_commit: 7aa7e3f
+git_last_commit_date: 2020-08-03
+Date/Publication: 2020-08-03
+Packaged: 2020-08-03 22:45:04 UTC; biocbuild
+Author: Bioconductor Package Maintainer [cre],
+  Martin Morgan [aut],
   Marc Carlson [ctb],
   Dan Tenenbaum [ctb],
   Sonali Arora [ctb],
-  Lori Shepherd [ctb]
-git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_10
-git_last_commit: 660ceb5
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
-Packaged: 2019-10-30 00:40:36 UTC; biocbuild
+  Valerie Oberchain [ctb],
+  Kayla Morrell [ctb],
+  Lori Shepherd [aut]
+Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-annotationhub (2.20.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 Aug 2020 10:10:20 +0200

r-bioc-annotationhub (2.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 08:36:56 +0200

## r-bioc-annotationhub 2.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.20.1
+Version: 2.22.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -38,13 +38,14 @@
         EpigenomeResource-class.R EnsDbResource-class.R utilities.R
         sql-utils.R Hub-utils.R cache-utils.R zzz.R
 VignetteBuilder: knitr
+BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_11
-git_last_commit: 7aa7e3f
-git_last_commit_date: 2020-08-03
-Date/Publication: 2020-08-03
-Packaged: 2020-08-03 22:45:04 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: 3ab7dce
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-27 22:25:13 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:45:38 +0100

r-bioc-annotationhub (2.20.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 15:57:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.15.10),
                r-bioc-biocfilecache,
                r-cran-rsqlite,
                r-cran-biocmanager,
+               r-bioc-biocversion,
                r-cran-curl,
                r-cran-rappdirs,
                r-bioc-annotationdbi (>= 1.31.19),
@@ -18,12 +19,12 @@
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml,
-               r-cran-dplyr,
-               r-bioc-biocversion
-Standards-Version: 4.4.1
+               r-cran-dplyr
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/
+Rules-Requires-Root: no
 
 Package: r-bioc-annotationhub
 Architecture: all

## r-bioc-annotationhub 3.2.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 2.22.0
+Version: 3.2.1
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -30,7 +30,8 @@
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
-        Biostrings, SummarizedExperiment, ExperimentHub, gdsfmt
+        Biostrings, SummarizedExperiment, ExperimentHub, gdsfmt,
+        rmarkdown, HubPub
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
         AnnotationHub-class.R AnnotationHubResource-class.R
@@ -41,11 +42,11 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_12
-git_last_commit: 3ab7dce
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-27 22:25:13 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: ad1dfe8
+git_last_commit_date: 2022-01-20
+Date/Publication: 2022-01-23
+Packaged: 2022-01-23 08:56:56 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 30 Jan 2022 18:01:19 +0100

r-bioc-annotationhub (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:40:32 +0100

r-bioc-annotationhub (3.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 20:27:16 +0000

r-bioc-annotationhub (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-annotationdbi and
      r-bioc-biocgenerics.
  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 07:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.15.10),
+               r-bioc-biocgenerics,
                r-bioc-biocfilecache,
                r-cran-rsqlite,
                r-cran-biocmanager,
                r-bioc-biocversion,
                r-cran-curl,
                r-cran-rappdirs,
-               r-bioc-annotationdbi (>= 1.31.19),
+               r-bioc-annotationdbi,
                r-bioc-s4vectors,
                r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml,
                r-cran-dplyr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/

## r-bioc-annotationhub 3.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 3.2.1
+Version: 3.4.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -42,11 +42,11 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_14
-git_last_commit: ad1dfe8
-git_last_commit_date: 2022-01-20
-Date/Publication: 2022-01-23
-Packaged: 2022-01-23 08:56:56 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: e74e54c
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:00:06 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 May 2022 10:22:39 +0530

r-bioc-annotationhub (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update patch

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 12:33:48 +0100

## r-bioc-annotationhub 3.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 3.4.0
+Version: 3.6.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -42,11 +42,11 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_15
-git_last_commit: e74e54c
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:00:06 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 3315a73
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 20:50:28 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:41:51 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-httr,
                r-cran-yaml,
                r-cran-dplyr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/

## r-bioc-annotationhub 3.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 3.6.0
+Version: 3.8.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -25,8 +25,8 @@
 License: Artistic-2.0
 Depends: BiocGenerics (>= 0.15.10), BiocFileCache (>= 1.5.1)
 Imports: utils, methods, grDevices, RSQLite, BiocManager, BiocVersion,
-        curl, rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors,
-        interactiveDisplayBase, httr, yaml, dplyr
+        curl, rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors, httr,
+        yaml, dplyr, interactiveDisplayBase
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
@@ -42,11 +42,11 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_16
-git_last_commit: 3315a73
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 20:50:28 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 975022d
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:12:29 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.8.0+dfsg-1) unstable; urgency=medium

  * Rebuild against latest r-base
    Closes: #1034852
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jul 2023 12:39:15 +0200

## r-bioc-annotationhub 3.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 3.8.0
+Version: 3.10.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -30,8 +30,8 @@
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
         rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
-        Biostrings, SummarizedExperiment, ExperimentHub, gdsfmt,
-        rmarkdown, HubPub
+        Biostrings, CompoundDb, keras, ensembldb, SummarizedExperiment,
+        ExperimentHub, gdsfmt, rmarkdown, HubPub
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
         AnnotationHub-class.R AnnotationHubResource-class.R
@@ -42,11 +42,11 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_17
-git_last_commit: 975022d
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:12:29 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 76efb99
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 20:18:01 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                r-cran-rappdirs,
                r-bioc-annotationdbi,
                r-bioc-s4vectors,
-               r-bioc-interactivedisplaybase,
                r-cran-httr,
                r-cran-yaml,
-               r-cran-dplyr
-Standards-Version: 4.6.1
+               r-cran-dplyr,
+               r-bioc-interactivedisplaybase
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
 Homepage: https://bioconductor.org/packages/AnnotationHub/

## r-bioc-annotationhub 3.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: AnnotationHub
 Type: Package
 Title: Client to access AnnotationHub resources
-Version: 3.10.0
+Version: 3.12.0
 Authors@R: 
     c(person("Bioconductor Package", "Maintainer", email="maintainer@bioconductor.org",
              role="cre"),
@@ -26,11 +26,11 @@
 Depends: BiocGenerics (>= 0.15.10), BiocFileCache (>= 1.5.1)
 Imports: utils, methods, grDevices, RSQLite, BiocManager, BiocVersion,
         curl, rappdirs, AnnotationDbi (>= 1.31.19), S4Vectors, httr,
-        yaml, dplyr, interactiveDisplayBase
+        yaml, dplyr
 Suggests: IRanges, GenomicRanges, GenomeInfoDb, VariantAnnotation,
         Rsamtools, rtracklayer, BiocStyle, knitr, AnnotationForge,
-        rBiopaxParser, RUnit, GenomicFeatures, MSnbase, mzR,
-        Biostrings, CompoundDb, keras, ensembldb, SummarizedExperiment,
+        rBiopaxParser, RUnit, txdbmaker, MSnbase, mzR, Biostrings,
+        CompoundDb, keras, ensembldb, SummarizedExperiment,
         ExperimentHub, gdsfmt, rmarkdown, HubPub
 Enhances: AnnotationHubData
 Collate: AnnotationHubOption.R AllGenerics.R Hub-class.R db-utils.R
@@ -42,11 +42,12 @@
 BugReports: https://github.com/Bioconductor/AnnotationHub/issues
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/AnnotationHub
-git_branch: RELEASE_3_18
-git_last_commit: 76efb99
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:18:01 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: 7c17d78
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:32:51 UTC; biocbuild
 Author: Bioconductor Package Maintainer [cre],
   Martin Morgan [aut],
   Marc Carlson [ctb],

=== debian/changelog ===
r-bioc-annotationhub (3.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/tests/autopkgtest-pkg-r.conf: sync with dh-update-R, added r-bioc-
    txdbmaker
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 15:08:44 +0200

r-bioc-annotationhub (3.12.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 10:27:49 +0200

r-bioc-annotationhub (3.12.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-biocfilecache,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocfilecache (>= 2.12.0),
                r-cran-rsqlite,
                r-cran-biocmanager,
-               r-bioc-biocversion,
+               r-bioc-biocversion (>= 3.19.1),
                r-cran-curl,
                r-cran-rappdirs,
-               r-bioc-annotationdbi,
-               r-bioc-s4vectors,
+               r-bioc-annotationdbi (>= 1.66.0),
+               r-bioc-s4vectors (>= 0.42.1),
                r-cran-httr,
                r-cran-yaml,
-               r-cran-dplyr,
-               r-bioc-interactivedisplaybase
+               r-cran-dplyr
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-annotationhub.git
@@ -30,9 +29,25 @@
 Architecture: all
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-biocfilecache (>= 2.12.0),
+         r-bioc-biocversion (>= 3.19.1),
+         r-bioc-annotationdbi (>= 1.66.0),
+         r-bioc-s4vectors (>= 0.42.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-iranges (>= 2.38.1),
+          r-bioc-genomicranges (>= 1.56.1),
+          r-bioc-genomeinfodb (>= 1.40.1),
+          r-bioc-variantannotation (>= 1.50.0),
+          r-bioc-rsamtools (>= 2.20.0),
+          r-bioc-rtracklayer (>= 1.64.0),
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-biostrings (>= 2.72.1),
+          r-bioc-ensembldb (>= 2.28.0),
+          r-bioc-summarizedexperiment (>= 1.34.0),
+          r-bioc-experimenthub (>= 2.12.0)
 Description: GNU R client to access AnnotationHub resources
  This package provides a client for the Bioconductor AnnotationHub web
  resource. The AnnotationHub web resource provides a central location
